Commit 108c2e27 authored by Andre Freyssinet's avatar Andre Freyssinet

Fix allowing to compile with JDK11.

parent 72e0cfb2
...@@ -97,9 +97,10 @@ ...@@ -97,9 +97,10 @@
<profile> <profile>
<id>doc</id> <id>doc</id>
<!-- Incompatible with Java 11, un
<activation> <activation>
<jdk>[1.8,)</jdk> <jdk>[1.8,)</jdk>
</activation> </activation> -->
<properties> <properties>
<javadoc.opts>-Xdoclint:none</javadoc.opts> <javadoc.opts>-Xdoclint:none</javadoc.opts>
</properties> </properties>
...@@ -112,6 +113,7 @@ ...@@ -112,6 +113,7 @@
<artifactId>maven-javadoc-plugin</artifactId> <artifactId>maven-javadoc-plugin</artifactId>
<version>${maven-javadoc-plugin.version}</version> <version>${maven-javadoc-plugin.version}</version>
<configuration> <configuration>
<failOnError>false</failOnError>
<show>private</show> <show>private</show>
<nohelp>true</nohelp> <nohelp>true</nohelp>
<links> <links>
...@@ -170,8 +172,10 @@ ...@@ -170,8 +172,10 @@
<configuration> <configuration>
<source>1.8</source> <source>1.8</source>
<target>1.8</target> <target>1.8</target>
<!-- Needs Java 10/11 JDK <!-- Needs JDK 11
<release>10</release> --> <source>11</source>
<target>11</target>
<release>11</release> -->
</configuration> </configuration>
<dependencies> <dependencies>
<dependency> <dependency>
...@@ -223,6 +227,8 @@ ...@@ -223,6 +227,8 @@
<felix.gogo.shell.version>1.1.0</felix.gogo.shell.version> <felix.gogo.shell.version>1.1.0</felix.gogo.shell.version>
<maven.bundle.plugin.version>4.0.0</maven.bundle.plugin.version> <maven.bundle.plugin.version>4.0.0</maven.bundle.plugin.version>
<!-- to prevent [WARNING] Using platform encoding --> <!-- to prevent [WARNING] Using platform encoding -->
<maven-javadoc-plugin.version>3.0.0</maven-javadoc-plugin.version>
<!-- to prevent [WARNING] Using platform encoding -->
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<stomp.version>1.0</stomp.version> <stomp.version>1.0</stomp.version>
<commons-io.version>1.4</commons-io.version> <commons-io.version>1.4</commons-io.version>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment